Skip to content

Update 'Generalerrandaction'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
Bodyapplication/json
errandobject(Generalerrand)required
custom_idstring or null, <= 128 characters
descriptionstring or null
spent_minutesinteger or null, (int32), [ 1 .. 2147483647 ]
titlestring or null, <= 255 characters
performing_started_atstring or null, (date-time)
organizationobject or null(Organization)
performed_byobject or null(Organizationuser)
PATCH
/errands/generalerrands/reporting/generalerrandaction/{pk}/
curl -i -X PATCH \
  'https://dev.api.pigello.io/errands/generalerrands/reporting/generalerrandaction/{pk}/' \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "custom_id": "string",
    "description": "string",
    "spent_minutes": 1,
    "title": "string",
    "errand": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "performing_started_at": "2019-08-24T14:15:22Z",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "performed_by": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful update

Bodyapplication/json
errandobject(Generalerrand)required
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

custom_idstring or null, <= 128 characters
descriptionstring or null
spent_minutesinteger or null, (int32), [ 1 .. 2147483647 ]
created_atstring, (date-time)read-only
titlestring or null, <= 255 characters
performing_started_atstring or null, (date-time)
organizationobject or null(Organization)
performed_byobject or null(Organizationuser)
Response
{ "custom_id": "string", "description": "string", "spent_minutes": 1, "created_at": "2019-08-24T14:15:22Z", "title": "string", "errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "performing_started_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "performed_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }